Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Class TransportEvent

    java.lang.Object
      java.util.EventObject
          javax.mail.event.MailEvent
              javax.mail.event.TransportEvent

All Implemented Interfaces:
  Serializable

    public class TransportEvent

extends MailEvent

This class models Transport events.

See Also:
  `Transport`, `TransportListener`, Serialized Form

Field Summary
`protected Address[]` | `invalid`
`static int` | `MESSAGE_DELIVERED` Message has been successfully delivered to all recipients by the transport firing this event.
`static int` | `MESSAGE_NOT_DELIVERED` Message was not sent for some reason.
`static int` | `MESSAGE_PARTIALLY_DELIVERED` Message was successfully sent to some recipients but not to all.
`protected Message` | `msg`
`protected int` | `type` The event type.
`protected Address[]` | `validSent`
`protected Address[]` | `validUnsent`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransportEvent(Transport transport, int type, Address[] validSent, Address[] validUnsent, Address[] invalid, Message msg)` Constructor.

Method Summary
`void` | `dispatch(Object listener)` Invokes the appropriate TransportListener method.
`Address[]` | `getInvalidAddresses()` Return the addresses to which this message could not be sent.
`Message` | `getMessage()` Get the Message object associated with this Transport Event.
`int` | `getType()` Return the type of this event.
`Address[]` | `getValidSentAddresses()` Return the addresses to which this message was sent succesfully.
`Address[]` | `getValidUnsentAddresses()` Return the addresses that are valid but to which this message was not sent.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_DELIVERED

    public static final int MESSAGE_DELIVERED

  Message has been successfully delivered to all recipients by the transport firing this event. validSent[] contains all the addresses this transport sent to successfully. validUnsent[] and invalid[] should be null,

  See Also:
    Constant Field Values

### MESSAGE_NOT_DELIVERED

    public static final int MESSAGE_NOT_DELIVERED

  Message was not sent for some reason. validSent[] should be null. validUnsent[] may have addresses that are valid (but the message wasn't sent to them). invalid[] should likely contain invalid addresses.

  See Also:
    Constant Field Values

### MESSAGE_PARTIALLY_DELIVERED

    public static final int MESSAGE_PARTIALLY_DELIVERED

  Message was successfully sent to some recipients but not to all. validSent[] holds addresses of recipients to whom the message was sent. validUnsent[] holds valid addresses to which the message was not sent. invalid[] holds invalid addresses, if any.

  See Also:
    Constant Field Values

### type

    protected int type

  The event type.

### validSent

    protected transient Address[] validSent

### validUnsent

    protected transient Address[] validUnsent

### invalid

    protected transient Address[] invalid

### msg

    protected transient Message msg

Constructor Detail

### TransportEvent

    public TransportEvent(Transport transport,
                          int type,
                          Address[] validSent,
                          Address[] validUnsent,
                          Address[] invalid,
                          Message msg)

  Constructor.

  Parameters:
    `transport` - The Transport object

Method Detail

### getType

    public int getType()

  Return the type of this event.

  Returns:
    type

### getValidSentAddresses

    public Address[] getValidSentAddresses()

  Return the addresses to which this message was sent succesfully.

  Returns:
    Addresses to which the message was sent successfully or null

### getValidUnsentAddresses

    public Address[] getValidUnsentAddresses()

  Return the addresses that are valid but to which this message was not sent.

  Returns:
    Addresses that are valid but to which the message was not sent successfully or null

### getInvalidAddresses

    public Address[] getInvalidAddresses()

  Return the addresses to which this message could not be sent.

  Returns:
    Addresses to which the message sending failed or null

### getMessage

    public Message getMessage()

  Get the Message object associated with this Transport Event.

  Returns:
    the Message object
  Since:
    JavaMail 1.2

### dispatch

    public void dispatch(Object listener)

  Invokes the appropriate TransportListener method.

  Specified by:
    `dispatch` in class `MailEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.